<?php
require "../../config/koneksi.php";
require "../../vendor/autoload.php";
require("../../config/function.php");

$file_mimes = array('application/vnd.ms-excel', 'text/csv', 'application/csv', 'application/excel', 'application/vnd.msexcel', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
if (isset($_FILES['file']['name'])) {
    $ext = ['xls', 'xlsx'];
    $arr_file = explode('.', $_FILES['file']['name']);
    $extension = end($arr_file);
    if (in_array($extension, $ext)) {
        if ('xls' == $extension) {
            $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xls();
        } else {
            $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        }

        $spreadsheet = $reader->load($_FILES['file']['tmp_name']);

        $sheetData = $spreadsheet->getActiveSheet()->toArray();
        $sukses = $gagal = 0;
        
        for ($i = 4; $i < count($sheetData); $i++) {
          
            $nama = $sheetData[$i]['1'];
            $nomor = $sheetData[$i]['2'];
            $nama = addslashes($nama);
            $iduser = $_SESSION['id_user'];
			
            if ($nomor <> '') {
                $exec = mysqli_query($koneksi, "INSERT INTO kontakme (nama_kontak,nomor,iduser) 
				VALUES ('$nama','$nomor','$iduser')");
              
				($exec) ? $sukses++ : $gagal++;
            }
        }
	}
}
